cascading.flow.tez.planner.rule.transformer

## Class BoundaryBalanceSplitToStreamedHashJoinTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementGraph>
  - - cascading.flow.planner.rule.RuleTransformer
    - - cascading.flow.planner.rule.transformer.RuleInsertionTransformer
      - - cascading.flow.tez.planner.rule.transformer.BoundaryBalanceSplitToStreamedHashJoinTransformer

All Implemented Interfaces:
  Rule

    public class BoundaryBalanceSplitToStreamedHashJoinTransformer
    extends RuleInsertionTransformer

Inserts Boundary after split that joins back into a HashJoin.

this allows testGroupBySplitGroupByJoin to pass, and simplifies testJoinSamePipeAroundGroupBy by preventing the upstream operations to duplicate processing in parallel nodes

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.RuleTransformer

`contractedTransformer, graphTransformer, ruleExpression, subGraphTransformer`

### Constructor Summary

Constructors
Constructor and Description
`BoundaryBalanceSplitToStreamedHashJoinTransformer()`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleTransformer

`getRuleName, getRulePhase, performTransform, toString, transform`

### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

`transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoundaryBalanceSplitToStreamedHashJoinTransformer

    public BoundaryBalanceSplitToStreamedHashJoinTransformer()